#ifndef __PERSONAS_H__
#define __PERSONAS_H__

typedef struct lista{

    char nombre[40];
    char direccion[40];
    int cuenta;
    struct lista *sig;    //Puntero a nodo siguiente de la lista.
    struct lista *ant;    //Puntero a nodo anterior.
}persona;

persona *CrearLista(void);// Crea una lista de personas
void InsertarLista(persona **lista); // Inserta persona en una lista creada, si no hay lista ls crea
void MostrarLista(persona *lista); //Muestra la lista en pantalla.
int GuardarLista(char *n_archivo, persona *lista); //Guarda una lista en archivo
int CargarLista(persona **lista, char *n_archivo); //Carga una lista desde archivo
void BuscarPersona(persona *lista, char *nombre);//Busca una persona en una lista
int BuscarCoincidencia(char *a, char *b);
int BorrarPersona(persona **lista, char *nombre); //Borra a una persona de la lista.
void MostrarListaInvertida(persona *lista); //Muestra la lista de forma invertida en pantalla.
int EditarPersona(persona *lista, char *nombre);
void BorrarLista(persona **lista);

#endif

